> ## Documentation Index
> Fetch the complete documentation index at: https://gcore.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# List virtual GPU cluster volumes

> List all volumes attached to servers in a virtual GPU cluster.



## OpenAPI

````yaml /api-reference/services_documented/cloud_api.yaml get /cloud/v3/gpu/virtual/{project_id}/{region_id}/clusters/{cluster_id}/volumes
openapi: 3.1.0
info:
  title: Gcore OpenAPI – Cloud API
  description: >-
    This OpenAPI is an aggregated OpenAPI specification that unifies all Gcore
    products into a single file. It covers Cloud, CDN, DNS, WAAP, DDoS
    Protection, Object Storage, Streaming, and FastEdge services.
  version: '2026-05-15T06:37:28.230198+00:00'
servers:
  - url: https://api.gcore.com
security:
  - APIKey: []
tags:
  - name: Bare Metal
    x-displayName: Bare Metal
  - name: Container as a Service
    x-displayName: Container as a Service
  - name: Cost Reports
    x-displayName: Cost Reports
  - name: DDoS Protection
    x-displayName: DDoS Protection
  - name: Everywhere Inference
    x-displayName: Everywhere Inference
  - name: Everywhere Inference Apps
    x-displayName: Everywhere Inference Apps
  - name: File Shares
    x-displayName: File Shares
  - name: Floating IPs
    x-displayName: Floating IPs
  - name: Function as a Service
    x-displayName: Function as a Service
  - name: GPU Bare Metal
    x-displayName: GPU Bare Metal
  - name: GPU Virtual
    x-displayName: GPU Virtual
  - name: IP Ranges
    x-displayName: IP Ranges
  - name: Images
    x-displayName: Images
  - name: Instances
    x-displayName: Instances
  - name: Load Balancers
    x-displayName: Load Balancers
  - name: Logging
    x-displayName: Logging
  - name: Managed Kubernetes
    x-displayName: Managed Kubernetes
  - name: Managed PostgreSQL
    x-displayName: Managed PostgreSQL
  - name: Networks
    x-displayName: Networks
  - name: Placement Groups
    x-displayName: Placement Groups
  - name: Projects
    x-displayName: Projects
  - name: Quotas
    x-displayName: Quotas
  - name: Regions
    x-displayName: Regions
  - name: Registry
    x-displayName: Registry
  - name: Reservations
    x-displayName: Reservations
  - name: Reserved IPs
    x-displayName: Reserved IPs
  - name: Routers
    x-displayName: Routers
  - name: SSH Keys
    x-displayName: SSH Keys
  - name: Secrets
    x-displayName: Secrets
  - name: Security Groups
    x-displayName: Security Groups
  - name: Snapshot Schedules
    x-displayName: Snapshot Schedules
  - name: Snapshots
    x-displayName: Snapshots
  - name: Tasks
    x-displayName: Tasks
  - name: User Actions
    x-displayName: User Actions
  - name: User Role Assignments
    x-displayName: User Role Assignments
  - name: Volumes
    x-displayName: Volumes
paths:
  /cloud/v3/gpu/virtual/{project_id}/{region_id}/clusters/{cluster_id}/volumes:
    get:
      tags:
        - GPU Virtual
      summary: List virtual GPU cluster volumes
      description: List all volumes attached to servers in a virtual GPU cluster.
      operationId: ClusterInstanceVolumes.get
      parameters:
        - in: path
          name: project_id
          required: true
          description: Project ID
          schema:
            description: Project ID
            example: 1
            examples:
              - 1
            title: Project Id
            type: integer
        - in: path
          name: region_id
          required: true
          description: Region ID
          schema:
            description: Region ID
            example: 7
            examples:
              - 7
            title: Region Id
            type: integer
        - in: path
          name: cluster_id
          required: true
          description: Cluster unique identifier
          schema:
            description: Cluster unique identifier
            example: 1aaaab48-10d0-46d9-80cc-85209284ceb4
            examples:
              - 1aaaab48-10d0-46d9-80cc-85209284ceb4
            format: uuid4
            title: Cluster Id
            type: string
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ClusterInstanceVolumesList'
      x-codeSamples:
        - lang: Python
          source: >-
            import os

            from gcore import Gcore


            client = Gcore(
                api_key=os.environ.get("GCORE_API_KEY"),  # This is the default and can be omitted
            )

            gpu_virtual_cluster_volume_list =
            client.cloud.gpu_virtual.clusters.volumes.list(
                cluster_id="1aaaab48-10d0-46d9-80cc-85209284ceb4",
                project_id=1,
                region_id=7,
            )

            print(gpu_virtual_cluster_volume_list.count)
        - lang: Go
          source: "package main\n\nimport (\n\t\"context\"\n\t\"fmt\"\n\n\t\"github.com/G-Core/gcore-go\"\n\t\"github.com/G-Core/gcore-go/cloud\"\n\t\"github.com/G-Core/gcore-go/option\"\n)\n\nfunc main() {\n\tclient := gcore.NewClient(\n\t\toption.WithAPIKey(\"My API Key\"),\n\t)\n\tgpuVirtualClusterVolumeList, err := client.Cloud.GPUVirtual.Clusters.Volumes.List(\n\t\tcontext.TODO(),\n\t\t\"1aaaab48-10d0-46d9-80cc-85209284ceb4\",\n\t\tcloud.GPUVirtualClusterVolumeListParams{\n\t\t\tProjectID: gcore.Int(1),\n\t\t\tRegionID:  gcore.Int(7),\n\t\t},\n\t)\n\tif err != nil {\n\t\tpanic(err.Error())\n\t}\n\tfmt.Printf(\"%+v\\n\", gpuVirtualClusterVolumeList.Count)\n}\n"
components:
  schemas:
    ClusterInstanceVolumesList:
      properties:
        count:
          description: Number of objects
          example: 1
          examples:
            - 1
          minimum: 0
          title: Count
          type: integer
        results:
          description: Objects
          items:
            $ref: '#/components/schemas/ClusterInstanceVolume'
          title: Results
          type: array
      required:
        - count
        - results
      title: ClusterInstanceVolumesList
      type: object
    ClusterInstanceVolume:
      properties:
        bootable:
          description: True if this is bootable volume
          example: false
          examples:
            - false
          title: Bootable
          type: boolean
        created_at:
          description: Volume creation date and time
          example: '2025-03-17T13:22:23Z'
          examples:
            - '2025-03-17T13:22:23Z'
          format: date-time
          title: Created At
          type: string
        id:
          description: Volume unique identifier
          example: b6e58490-58d3-451c-bb77-4178157c98b2
          examples:
            - b6e58490-58d3-451c-bb77-4178157c98b2
          format: uuid4
          title: Id
          type: string
        name:
          description: User defined name
          example: my-volume
          examples:
            - my-volume
          title: Name
          type: string
        root_fs:
          description: True if this volume contains root file system
          example: false
          examples:
            - false
          title: Root Fs
          type: boolean
        server_id:
          description: Server UUID
          example: ded40aad-505c-463b-aa59-8f5f455d1b6f
          examples:
            - ded40aad-505c-463b-aa59-8f5f455d1b6f
          format: uuid4
          title: Server Id
          type: string
        size:
          description: Volume size in GiB
          example: 100
          examples:
            - 100
          title: Size
          type: integer
        status:
          $ref: '#/components/schemas/VolumeStatus'
          description: Current volume status
          examples:
            - in-use
        tags:
          description: User defined tags
          example:
            - key: task_id
              read_only: true
              value: d74c2bb9-cea7-4b23-a009-2f13518ae66d
          examples:
            - - key: task_id
                read_only: true
                value: d74c2bb9-cea7-4b23-a009-2f13518ae66d
          items:
            $ref: '#/components/schemas/TagSerializer'
          title: Tags
          type: array
        type:
          description: Volume type
          example: standard
          examples:
            - standard
          title: Type
          type: string
      required:
        - id
        - server_id
        - name
        - type
        - status
        - size
        - bootable
        - root_fs
        - tags
        - created_at
      title: ClusterInstanceVolume
      type: object
    VolumeStatus:
      enum:
        - attaching
        - available
        - awaiting-transfer
        - backing-up
        - creating
        - deleting
        - detaching
        - downloading
        - error
        - error_backing-up
        - error_deleting
        - error_extending
        - error_restoring
        - extending
        - in-use
        - maintenance
        - reserved
        - restoring-backup
        - retyping
        - reverting
        - uploading
      title: VolumeStatus
      type: string
    TagSerializer:
      description: >-
        A tag is a key-value pair that can be associated with a resource,

        enabling efficient filtering and grouping for better organization and
        management.

        Some tags are read-only and cannot be modified by the user.

        Tags are also integrated with cost reports, allowing cost data to be
        filtered based on tag keys or values.
      properties:
        key:
          description: >-
            Tag key. Maximum 255 characters. Cannot contain spaces, tabs,
            newlines, empty string or '=' character.
          example: my-tag
          examples:
            - my-tag
          title: Key
          type: string
        read_only:
          description: If true, the tag is read-only and cannot be modified by the user
          example: false
          examples:
            - false
          title: Read Only
          type: boolean
        value:
          description: >-
            Tag value. Maximum 255 characters. Cannot contain spaces, tabs,
            newlines, empty string or '=' character.
          example: my-tag-value
          examples:
            - my-tag-value
          title: Value
          type: string
      required:
        - key
        - value
        - read_only
      title: TagSerializer
      type: object
  securitySchemes:
    APIKey:
      description: >-
        API key for authentication. Make sure to include the word `apikey`,
        followed by a single space and then your token.

        Example: `apikey 1234$abcdef`
      type: apiKey
      in: header
      name: Authorization

````